from distutils.core import setup
from boundary import __version__

setup(
    name='boundary',
    version=__version__,
    url="http://boundary.github.io/boundary-api-cli/",
    author='David Gwartney',
    author_email='david_gwartney@bmc.com',
    packages=['boundary', ],
    entry_points={
        'console_scripts': [
            'actionhandler = boundary.webhook_handler:main',
        ],
    },
    scripts=[
        'tsp-cli-env.sh',
        'bin/alarm-create',
        'bin/alarm-delete',
        'bin/alarm-get',
        'bin/alarm-list',
        'bin/alarm-search',
        'bin/alarm-update',
        'bin/action-installed',
        'bin/action-types',
        'bin/event-create',
        'bin/event-list',
        'bin/hostgroup-create',
        'bin/hostgroup-delete',
        'bin/hostgroup-get',
        'bin/hostgroup-list',
        'bin/hostgroup-search',
        'bin/hostgroup-update',
        'bin/measurement-create',
        'bin/measurement-get',
        'bin/measurement-plot',
        'bin/metric-create',
        'bin/metric-create-batch',
        'bin/metric-delete',
        'bin/metric-export',
        'bin/metric-get',
        'bin/metric-import',
        'bin/metric-list',
        'bin/metric-markdown',
        'bin/metric-update',
        'bin/plugin-add',
        'bin/plugin-get',
        'bin/plugin-get-components',
        'bin/plugin-list',
        'bin/plugin-install',
        'bin/plugin-installed',
        'bin/plugin-readme',
        'bin/plugin-remove',
        'bin/plugin-uninstall',
        'bin/relay-get-output',
        'bin/relay-list',
        'bin/relay-get-config',
        'bin/source-delete',
        'bin/source-list',
        'bin/user-get',
        'bin/user-get',
    ],
    package_data={'boundary': ['templates/*']},
    license='LICENSE.txt',
    description='Command line tools for using the TrueSight Pulse REST APIs',
    long_description=open('README.txt').read(),
    install_requires=[
        'pygments >= 2.0.2',
        'requests >= 2.3.0',
        'six >= 1.10.0',
        'python-dateutil >= 2.5.2',
        'jinja2 >=  2.7.3'],
)
